quadrature< T >
Inheritance diagram for quadrature< T >:

## Public Types

typedef quadrature_rep< T > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::family_type | family_type
typedef rep::const_iterator | const_iterator
typedef rep::orientation_type | orientation_type
Public Types inherited from smart_pointer< quadrature_rep< T > >
typedef quadrature_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| quadrature (const std::string &name="")
| quadrature (quadrature_option opt)
void | set_order (size_type order)
void | set_family (family_type ft)
void | reset (const std::string &name)
const quadrature_option & | get_options () const
std::string | name () const
size_type | get_order () const
family_type | get_family () const
std::string | get_family_name () const
size_type | size (reference_element hat_K) const
const_iterator | begin (reference_element hat_K) const
const_iterator | end (reference_element hat_K) const
const weighted_point< T > & | operator() (reference_element hat_K, size_type q) const
void | get_nodes (reference_element hat_K, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &node) const
Public Member Functions inherited from smart_pointer< quadrature_rep< T > >
| smart_pointer (quadrature_rep< T > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< quadrature_rep< T > > &x)
smart_pointer< quadrature_rep< T > > & | operator= (const smart_pointer< quadrature_rep< T > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Additional Inherited Members

Static Public Member Functions inherited from persistent_table< quadrature< T > >
static quadrature< T > | load (const std::string &name)
static void | unload (const std::string &name)
static bool | verbose ()
static void | set_verbose (bool v)
Protected Types inherited from persistent_table< quadrature< T > >
using | loaded_map_type = std::unordered_map< std::string, void * >
Static Protected Member Functions inherited from persistent_table< quadrature< T > >
static loaded_map_type & | get_loaded_map ()
Static Protected Attributes inherited from persistent_table< quadrature< T > >
static loaded_map_type | _loaded_map
static bool | _verbose

## Detailed Description

### template<class T>
class rheolef::quadrature< T >

Definition at line 185 of file quadrature.h.

## Member Typedef Documentation

## rep

typedef quadrature_rep<T> rep

Definition at line 191 of file quadrature.h.

## base

typedef smart_pointer<rep> base

Definition at line 192 of file quadrature.h.

## size_type

typedef rep::size_type size_type

Definition at line 193 of file quadrature.h.

## family_type

typedef rep::family_type family_type

Definition at line 194 of file quadrature.h.

## const_iterator

typedef rep::const_iterator const_iterator

Definition at line 195 of file quadrature.h.

## orientation_type

typedef rep::orientation_type orientation_type

Definition at line 196 of file quadrature.h.

## Constructor & Destructor Documentation

## quadrature() [1/2]

quadrature | ( | const std::string & | name = `""` | ) |

Definition at line 276 of file quadrature_rep.cc.

## quadrature() [2/2]

quadrature | ( | quadrature_option | opt | ) |

Definition at line 269 of file quadrature_rep.cc.

## Member Function Documentation

## set_order()

void set_order | ( | size_type | order | ) |

Definition at line 284 of file quadrature_rep.cc.

## set_family()

void set_family | ( | family_type | ft | ) |

Definition at line 292 of file quadrature_rep.cc.

## reset()

void reset | ( | const std::string & | name | ) |

Definition at line 254 of file quadrature_rep.cc.

## get_options()

const quadrature_option & get_options

Definition at line 264 of file quadrature_rep.cc.

## name()

std::string name | ( |  | ) | const

Definition at line 213 of file quadrature.h.

## get_order()

size_type get_order | ( |  | ) | const

Definition at line 214 of file quadrature.h.

## get_family()

family_type get_family | ( |  | ) | const

Definition at line 215 of file quadrature.h.

## get_family_name()

std::string get_family_name | ( |  | ) | const

Definition at line 216 of file quadrature.h.

## size()

size_type size | ( | reference_element | hat_K | ) | const

Definition at line 217 of file quadrature.h.

## begin()

const_iterator begin | ( | reference_element | hat_K | ) | const

Definition at line 218 of file quadrature.h.

## end()

const_iterator end | ( | reference_element | hat_K | ) | const

Definition at line 219 of file quadrature.h.

## operator()()

const weighted_point<T>& operator() | ( | reference_element | hat_K,
|  | size_type | q
| ) |  | const

Definition at line 220 of file quadrature.h.

## get_nodes()

void get_nodes | ( | reference_element | hat_K,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | node
| ) |  | const

Definition at line 222 of file quadrature.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/geo_element/quadrature_rep.cc